Create VP9 Codec Configuration

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The VP9 Codec Configuration to be created

string
required

Name of the resource. Can be freely chosen by the user.

string

Description of the resource. Can be freely chosen by the user.

string

User-specific meta data. This can hold anything.

int32

Width of the encoded video in pixels

int32

Height of the encoded video in pixels

int64

Target bitrate for the encoded video in bps. Either bitrate or crf is required.

double

Target frame rate of the encoded video. Must be set for live encodings

string
enum
Defaults to YUV420P

Describes the color encoding, bit depth, and chroma subsampling of each pixel in the output image.

colorConfig
object
int32

The numerator of the sample aspect ratio (also known as pixel aspect ratio). Must be set if sampleAspectRatioDenominator is set. If set then displayAspectRatio is not allowed.

int32

The denominator of the sample aspect ratio (also known as pixel aspect ratio). Must be set if sampleAspectRatioNumerator is set. If set then displayAspectRatio is not allowed.

displayAspectRatio
object

Specifies a display aspect ratio (DAR) to be enforced. The sample aspect ratio (SAR) will be adjusted accordingly. If set then sampleAspectRatioNumerator and sampleAspectRatioDenominator are not allowed.

string
enum
Defaults to STANDARD

The mode of the encoding. When this is set, encodingMode (liveEncodingMode) must not be set in the (live) encoding start request.

Allowed:
string
enum

Choose from a set of preset configurations tailored for common use cases. Check out VP9 Presets to see which values get applied by each preset. Explicitly setting a property to a different value will override the preset's value for that property.

string
enum

Automatically configures the VP9 Video Codec to be compatible with the given SDR/HLG format. Bitmovin recommends to use the dynamic range format together with a preset configuration to achieve good results.
Explicitly configured properties will take precedence over dynamic range format settings, which in turn will take precedence over preset configurations.

Allowed:
int32
0 to 63

Constant rate factor for quality-based variable bitrate. Either bitrate or crf is required.

int32
0 to 25

Number of frames to look ahead for alternate reference frame selection.

boolean

Enables error resiliency feature

int32
0 to 6
Defaults to 0

Number of tile columns to use, log2. Depending on the encoding width there are limitations on this value. The minimum values are 2 for width >= 1920 and 1 for width >= 1280. The minimum width of each tile is 256 pixels so the maximum values are 0 for width < 256, 1 for width < 512, 2 for width < 1024, 3 for width < 2048, 4 for width < 4096, 5 for width < 8192. If the value is too high or too low it will be overridden.

int32
0 to 2
Defaults to 0

Number of tile rows to use, log2.

boolean
Defaults to false

Enable frame parallel decodability features

int64

Maximum I-frame bitrate (percentage) 0=unlimited

int32
0 to 63
Defaults to 0

Minimum quantization factor.

int32
0 to 63
Defaults to 63

Maximum quantization factor.

int32
0 to 100
Defaults to 25

Datarate undershoot (min) target (percentage).

int32
0 to 100
Defaults to 25

Datarate overshoot (max) target (percentage).

int64
≥ 0

Client buffer size (ms)

int64
≥ 0

Client initial buffer size (ms)

int32
0 to 100

CBR/VBR bias (0=CBR, 100=VBR)

boolean

Enable noise sensitivity on Y channel

int32
1 to 8
Defaults to 1

Controls the tradeoff between compression efficiency and encoding speed. Higher values indicate a faster encoding. The minimum value for width height >= 1280 720 is 2. If the value is too low it will be overridden.

boolean

Enable automatic alternate reference frames (2pass only)

int32
0 to 255

Target level (255: off, 0: only keep level stats; 10: level 1.0; 11: level 1.1; ... 62: level 6.2)

boolean

Enable row based non-deterministic multi-threading

int32
0 to 7
deprecated

Loop filter sharpness.

int32

Minimum GOP length, the minimum distance between I-frames.

int32

Maximum GOP length, the maximum distance between I-frames

double

Minimum interval in seconds between key frames

double

Maximum interval in seconds between key frames

string
enum
Defaults to GOOD

Determines quality for the price of speed.

Allowed:
boolean

Lossless mode

int32
≥ 0

A change threshold on blocks below which they will be skipped by the encoder.

string
enum
Defaults to NONE

Adaptive quantization mode.

Allowed:
int32
0 to 15
Defaults to 0

altref noise reduction max frame count.

int32
0 to 6
Defaults to 3

altref noise reduction filter strength.

string
enum
Defaults to CENTERED

altref noise reduction filter type

Allowed:
string
enum
Defaults to ENABLED

Enable/disable automatic calculation of level, maxBitrate, and bufsize based on the least level that satisfies maximum property values for picture resolution, frame rate, and bit rate. In the case the target level is set explicitly, the maximum bitrate and buffer size are calculated based on the defined level. Explicitly setting rateOvershootPct, or clientBufferSize properties will disable the automatic calculation.

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json